
<div class="fields-wrap">
    <form (keydown.enter)="$event.preventDefault();" [formGroup]="programDetailsFormGroup">
        <div class="page-wrap">
            <div class="form-group">
                <div class="form-row">
                    <!-- Low Ticket Business Loans  -->
                    <div class="form-col">
                        <mat-form-field>
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" alphaWithSpaces maxlength="100" placeholder="Entity Name*" formControlName="entityName" type="text" >
                            <mat-error *ngIf="programDetailsFormGroup.get('entityName').errors && programDetailsFormGroup.get('entityName').errors.required">Please enter Entity Name</mat-error>
                            <div class="help-tool field-help-tool">
                                <i class="material-icons">help_outline</i>
                                <span class="help-tool-txt">
                                    Provide the name of your company
                                </span>
                            </div>
                        </mat-form-field>
                    </div>
                    <!-- <div class="form-col">
                        <mat-form-field>
                            <input matInput [errorStateMatcher]="formSubmittedMatcher" placeholder="Applicant Name*" formControlName="applicantName" type="text" >
                            <mat-error *ngIf="programDetailsFormGroup.get('applicantName').errors && programDetailsFormGroup.get('applicantName').errors.required">Please enter Applicant Name</mat-error>
                        </mat-form-field>
                    </div> -->
                    <div class="form-col">
                        <mat-form-field class="rupee-icon">
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" indianCurrencyFormatter length="14" fraction="0" placeholder="Loan Amount*" formControlName="loanAmountRequired" type="text" >
                            <mat-error *ngIf="programDetailsFormGroup.get('loanAmountRequired').errors && programDetailsFormGroup.get('loanAmountRequired').errors.required">Please enter Loan Amount</mat-error>
                            <mat-error *ngIf="programDetailsFormGroup.get('loanAmountRequired').errors && programDetailsFormGroup.get('loanAmountRequired').errors.min">Loan amount should be greater than or equal to 2 Lakh.</mat-error>
                            <mat-error *ngIf="programDetailsFormGroup.get('loanAmountRequired').errors && programDetailsFormGroup.get('loanAmountRequired').errors.max">Loan amount should be less than or equal to 75 Lakh.</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col" *ngIf="!(customerProgramType == 'ABB' || customerProgramType == 'GST')">
                        <mat-form-field class="rupee-icon">
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" indianCurrencyFormatter length="14" fraction="0" placeholder="Last FY PAT*" formControlName="previousYearPAT" type="text" >
                            <mat-error *ngIf="programDetailsFormGroup.get('previousYearPAT').errors && programDetailsFormGroup.get('previousYearPAT').errors.pat && programDetailsFormGroup.get('previousYearPAT').errors.pat.required">Please enter Last Year PAT</mat-error>
                            <mat-error *ngIf="programDetailsFormGroup.get('previousYearPAT').errors && programDetailsFormGroup.get('previousYearPAT').errors.pat && programDetailsFormGroup.get('previousYearPAT').errors.pat.min">Please enter atleast 6 digits Last Year PAT</mat-error>
                            <mat-error *ngIf="programDetailsFormGroup.get('previousYearPAT').errors && programDetailsFormGroup.get('previousYearPAT').errors.pat && programDetailsFormGroup.get('previousYearPAT').errors.pat.more">Last FY PAT should not be greater than Last FY Turnover</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col">
                        <mat-form-field class="rupee-icon">
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" indianCurrencyFormatter length="14" fraction="0" placeholder="EMI Paid*" formControlName="emiPaid" type="text" >
                            <mat-error *ngIf="programDetailsFormGroup.get('emiPaid').errors && programDetailsFormGroup.get('emiPaid').errors.required">Please enter EMI Paid</mat-error>
                            <div class="help-tool field-help-tool">
                                <i class="material-icons">help_outline</i>
                                <span class="help-tool-txt">
                                    Total EMI you pay currently
                                </span>
                            </div>
                        </mat-form-field>
                    </div>

                    <!--  Banking Programme  -->
                    <div class="form-col" *ngIf="!(customerProgramType == 'LTBL')">
                        <mat-form-field class="rupee-icon">
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" indianCurrencyFormatter length="14" fraction="0" placeholder="Last FY Turnover*" formControlName="previousYearTurnover" type="text" >
                            <mat-error *ngIf="programDetailsFormGroup.get('previousYearTurnover').errors && programDetailsFormGroup.get('previousYearTurnover').errors.turnover && programDetailsFormGroup.get('previousYearTurnover').errors.turnover.required">Please enter Last FY Turnover</mat-error>
                            <mat-error *ngIf="programDetailsFormGroup.get('previousYearTurnover').errors && programDetailsFormGroup.get('previousYearTurnover').errors.turnover && programDetailsFormGroup.get('previousYearTurnover').errors.turnover.min">Please enter atleast 6 digits Last FY Turnover</mat-error>
                            <mat-error *ngIf="programDetailsFormGroup.get('previousYearTurnover').errors && programDetailsFormGroup.get('previousYearTurnover').errors.turnover && programDetailsFormGroup.get('previousYearTurnover').errors.turnover.more">Last FY Turnover should be greater than Last FY PAT</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col" *ngIf="!(customerProgramType == 'VI' || customerProgramType == 'LTBL')">
                        <mat-form-field class="rupee-icon">
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" indianCurrencyFormatter length="14" fraction="0" placeholder="Last-1 FY Turnover*" formControlName="last1FYTurover" type="text" >
                            <mat-error *ngIf="programDetailsFormGroup.get('last1FYTurover').errors && programDetailsFormGroup.get('last1FYTurover').errors.required">Please enter Last 1 Year Turnover</mat-error>
                            <mat-error *ngIf="programDetailsFormGroup.get('last1FYTurover').errors && programDetailsFormGroup.get('last1FYTurover').errors.min">Please enter atleast 6 digits Last 1 Year Turnover</mat-error>
                            <div class="help-tool field-help-tool">
                                <i class="material-icons">help_outline</i>
                                <span class="help-tool-txt">
                                    Your last financial year turnover, as filed in ITR
                                </span>
                            </div>
                        </mat-form-field>
                    </div>
                    <div class="form-col" *ngIf="customerProgramType != 'LTBL'">
                        <mat-form-field class="rupee-icon">
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" indianCurrencyFormatter length="14" fraction="0" placeholder="Other Income*" formControlName="otherIncome" type="text" >
                            <mat-error *ngIf="programDetailsFormGroup.get('otherIncome').errors && programDetailsFormGroup.get('otherIncome').errors.required">Please enter Other Income</mat-error>
                            <div class="help-tool field-help-tool">
                                <i class="material-icons">help_outline</i>
                                <span class="help-tool-txt">
                                    Income from other source
                                </span>
                            </div>
                        </mat-form-field>
                    </div>

                    <!-- Audited Financial Check Page -->
                    <div class="form-col" *ngIf="!(customerProgramType == 'ABB' || customerProgramType == 'GST' || customerProgramType == 'LTBL')">
                        <mat-form-field class="rupee-icon">
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" indianCurrencyFormatter length="14" fraction="0" placeholder="Last FY Depreciation" formControlName="previousYearDeprication" type="text" >
                        </mat-form-field>
                    </div>
                    <div class="form-col" *ngIf="!(customerProgramType == 'ABB' || customerProgramType == 'GST' || customerProgramType == 'LTBL')">
                        <mat-form-field class="rupee-icon">
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" indianCurrencyFormatter length="14" fraction="0" placeholder="Interest to Partner / Director*" formControlName="partnerDirInterest" type="text" >
                            <mat-error *ngIf="programDetailsFormGroup.get('partnerDirInterest').errors && programDetailsFormGroup.get('partnerDirInterest').errors.required">Please enter Interest to Partner / Director</mat-error>
                        </mat-form-field>
                    </div>
                    <div class="form-col" *ngIf="!(customerProgramType == 'ABB' || customerProgramType == 'GST' || customerProgramType == 'LTBL')">
                        <mat-form-field class="rupee-icon">
                            <input matInput autocomplete="off" [errorStateMatcher]="formSubmittedMatcher" indianCurrencyFormatter length="14" fraction="0" placeholder="Rem to Partner/Director*" formControlName="partnerDirRem" type="text" >
                            <mat-error *ngIf="programDetailsFormGroup.get('partnerDirRem').errors && programDetailsFormGroup.get('partnerDirRem').errors.required">Please enter Rem to Partner/Director</mat-error>
                        </mat-form-field>
                    </div>
                    
                </div>
            </div>
        </div>
        <div class="btn-wrap clearfix">
            <button class="left-btn" mat-button *ngIf="cache.user.profile == 'DSA' || cache.user.profile == 'CRE' || cache.user.profile == 'SM'" type="button" (click)="exit()" [disableRipple]="true">Exit</button>
            <button class="left-btn" mat-button *ngIf="cache.user.profile == 'DSA' || cache.user.profile == 'CRE' || cache.user.profile == 'SM'" type="button" (click)="goBack()" [disableRipple]="true">Go Back</button>
            <button  class="main-btn" mat-button type="submit" (click)= "submit()" [disableRipple]="true">CONTINUE</button>
            <app-loader *ngIf="formSubmitted" type="3"></app-loader>
        </div>
    </form>
</div>

        
        
        
